
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>jQuery选择器中空格的注意事项 / iVAN</title>

    <meta name="description" content="jQuery选择器中空格的注意事项   首先来解释一下选择器里带空格是什么意思,如果选择器中两个元素之间用空格隔开,则表示为前一个元素的后代元素.比如$('div :hidden'),表示的是div里所有的隐藏元素,这个隐藏元素可以是div的子元素,也可以是div子元素的子元素.如果选择器中没有空格的话,表示一个并且的关系,如果说$('div:hidden'),表示的是所有隐藏的div,这个就和元素的层次没有关系了! 下面看一个实例:HTML代码部分 &lt;div&gt; &lt;div style=&quot;display: ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">jQuery选择器中空格的注意事项</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> </p>
<p>首先来解释一下选择器里带空格是什么意思，如果选择器中两个元素之间用空格隔开，则表示为前一个元素的后代元素。比如$('div :hidden')，表示的是div里所有的隐藏元素，这个隐藏元素可以是div的子元素，也可以是div子元素的子元素。如果选择器中没有空格的话，表示一个并且的关系，如果说$('div:hidden')，表示的是所有隐藏的div，这个就和元素的层次没有关系了！</p>
<p>下面看一个实例：HTML代码部分<br />
&lt;div&gt;<br />
&lt;div style="display: none;"&gt;aa&lt;/div&gt;<br />
&lt;div style="display: none;"&gt;bb&lt;/div&gt;<br />
&lt;div style="display: none;"&gt;cc&lt;/div&gt;<br />
&lt;div style="display: none;"&gt;dd&lt;/div&gt;<br />
&lt;/div&gt;<br />
&lt;div style="display: none;"&gt;ee&lt;/div&gt;<br />
&lt;div style="display: none;"&gt;ff&lt;/div&gt;</p>
<p>jQuery部分</p>
<p>var $ta = $('.test :hidden'); //带空格的选择器表示class为test的元素中所有隐藏的元素，很明显结果是第一个div里所有的元素<br />
var $tb = $('.test:hidden'); //不带空格的选择器，表示的是class为test并且是隐藏的元素，这里指的是后两个div以及第一个div中的最后一个子元素<br />
alert($ta.length); //输出为4<br />
alert($tb.length); // 输出为3</p>
<p>jQuery选择器中空格问题不容忽视，所以在开发过程中一定要理清思路，看看是否需要加空格。</p>
<p>总结</p>
<p>有如下两个jQuery表达式</p>
<p>$(".active :hidden")带空格的选择器，表示后代选择器，选择带有样式active内的所有隐藏的子对象。</p>
<p>$(".active:hidden")不带空格的选择器，表示筛选，选择带有样式active并且隐藏的对象。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 01:08:58</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ae%9e%e4%be%8b/" title="实例">实例</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/class/" title="class">class</a>, <a href="https://www.iamivan.net/tag/%e8%a1%a8%e8%be%be%e5%bc%8f/" title="表达式">表达式</a>, <a href="https://www.iamivan.net/tag/div/" title="div">div</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>jQuery选择器中空格的注意事项的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3X63JM.html" rel="bookmark">jquery选择器中的空格与大于号&amp;amp&semi;gt&semi;、加号&plus;与波浪号~的区别介绍&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概念 空格:$('parent childchild')表示获取parent下的所有的childchild节点 大于号:$('parent &gt; childchild')表示获取parent下的所有下一级childchild 加号:$('pre + nextbrother')表示获得pre节点的下一个兄弟节点,相当于next()方法 波浪号:$('pre ~ brother')表示获取pre节点的后面的所有兄弟节点,相当于nextAll()方法 详解描述 现有代码如下 &lt;meta charset			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Vzw7WEz.html" rel="bookmark">jQuery选择器中含有空格和特殊符号的注意事项</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章简介:使用jQuery选择器应注意的问题. 一.选择器中含有特殊符号的注意事项 1．选择器中含有&quot;.&quot;.&quot;#&quot;.&quot;(&quot;或&quot;]&quot;等特殊字符根据W3C的规定,属性值中是不能含有这些特殊字符的,但在实际项目中偶尔会遇到表达式中含有&quot;#&quot;和&quot;.&quot;等特殊字符,如果按照普通的方式去处理出来的话就会出错.解决此类错误的方法是使用转义符转义. &lt;div id=&quot;id#b&quot;&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNv98PM.html" rel="bookmark">jQuery选择器中含有空格的使用示例及注意事项&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				此文摘自&lt;锋利的jQuery&gt;,另外添加了一点自己的东西 选择器中的空格是不容忽视的,多一个空格或少一个空格也许得到的结果会截然不同的.下面来看一个例子. 先构建如下的HTML代码: 复制代码 代码如下: &lt;div class=&quot;test&quot;&gt; &lt;div style=&quot;display:none;&quot;&gt;Jquery教程&lt;/div&gt; &lt;div style=&quot;display:none;&quot;&gt;Jque			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr2g1jM.html" rel="bookmark">Jquery选择器中使用变量实现动态选择例子&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				例子一: &lt;table&gt; &lt;tr&gt; &lt;th&gt;用户名&lt;/th&gt; &lt;th&gt;状态&lt;/th&gt; &lt;tr&gt; &lt;tr&gt; &lt;td&gt;张三&lt;/td&gt; &lt;td data-uid=&quot;10000&quot;&gt;正常&lt;/td&gt; &lt;tr&gt; &lt;tr&gt; &lt;td&gt;李四&lt;/td&gt; &lt;td data-uid=&quot;10001&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjqy5Vz.html" rel="bookmark">Jquery 选择器中使用变量的例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				老外写的  代码如下 复制代码 $(&quot;#&quot; + this.id).hide(); OR you can do something like this. var id = this.id; $('#' + id).hide(); OR you can give some effect also. $(&quot;#&quot; + this.id).slideUp(); If you want to remove the entire element permanently form t			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqRay3p.html" rel="bookmark">代码-Jquery选择器方面的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Jquery选择器方面的问题 $(&quot;&quot;.menu-overlay&quot;&quot;).stop().fadeIn(300);$(&quot;&quot;.menu-overlay&quot;&quot;).stop().fadeOut(150);$(&quot;&quot;#products_list .pic img&quot;&quot;)$(&quot;&quot;#f11 .pic img&quot;&quot;)$(&quot;&quot;.nav-secon			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr30WOp.html" rel="bookmark">jQuery的选择器中的通配符使用介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了jQuery的选择器中的通配符,需要的朋友可以参考下 1.选择器  (1)通配符:  代码如下: $(&quot;input[id^='code']&quot;);//id属性以code开始的所有input标签  $(&quot;input[id$='code']&quot;);//id属性以code结束的所有input标签  $(&quot;input[id*='code']&quot;);//id属性包含code的所有input标签    (2)根据索引选择  代码如下: $(&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9jnGdp.html" rel="bookmark">jQuery的选择器中的通配符&lbrack;id&Hat;&equals;&amp;&num;039&semi;code&amp;&num;039&semi;&rsqb;或&lbrack;name&Hat;&equals;&amp;&num;039&semi;code&amp;&num;039&semi;&rsqb;及jquery选择器总结&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这两天在做一个专题的时候遇到了一个通配符的问题 //弹层操作 $(function(){ //视频播放 $(&quot;a[href^='#video']&quot;).each(function(index, element) { $(this).click(function(){ $(&quot;.popDiv,#videoBox1&quot;).show(); }); }); //图片 $(&quot;.imgs a:not([href^='#video'])&quot;).each(functio			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZOO5Ob.html" rel="bookmark">JQuery ID选择器中的不能包含特殊字符（&equals;，&commat; etc&period;）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近在开发一个界面时发现了某些特殊情况下ID选择器就会出现无效的情况,经查原来是的动态生成的Dom 元素的ID中包含&quot;=&quot;导致(你可能会问为什么会在ID中有&quot;=&quot;号,我只能说这种情况虽然不多,但是有,比如我的情况,我的ID是某个字符串Base64编码之后的字符串). JQuery中的1.2.6版本至1.3.2版本都有这种情况,下面是测试的代码: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transiti			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyZdpN.html" rel="bookmark" class="title">TYAN&lowbar;S8230做硬Raid</a>
					<div>
						一:建立RAID0. 开机后当出现以下画面时,按Ctrl+F进入RAID设定页面.     RAID设定页面:       意思大意如下: 按数字键 1 View Drive Assignments  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqLaeb.html" rel="bookmark" class="title">数据挖掘开源项目立项</a>
					<div>
						项目背景 因为最近一直都在搞数据挖掘类的项目,且现在国内的大数据潮火热.在前几天与群里的几位兄弟聊天所以有了做一个开源项目的想法,以前也搞过一个开源的项目,当时只是想把权限集中化做一下,项目的名称和地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnYvrM.html" rel="bookmark" class="title">续实例解析SOCKET编程模型之异步通信篇（上）</a>
					<div>
						编程|异步 .NET 框架的 Socket 类实际上是 Winsock32 API 提供的套接字服务的托管代码版本.其中Socket 类为网络通信提供了一套丰富的方法和属性,大多数情况下,Socket ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjLJVp.html" rel="bookmark" class="title">office web apps-Asp&period;net整合Office Web Apps，Word无法编辑的问题</a>
					<div>
						问题描述 Asp.net整合Office Web Apps,Word无法编辑的问题 Excel PowerPoint 都可以预览并编辑,但是Word无法编辑,这个问题怎么解决呀. 样例地址:https ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bByANz.html" rel="bookmark" class="title">深入理解fork&lpar;&rpar;</a>
					<div>
						                                               最近经常在论坛上见到有初学者问关于fork()的很多疑惑.在这里把我关于fork()的体会和理解写出来供大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM18erb.html" rel="bookmark" class="title">如何在一个主机上设置多个IP地址&quest;&lpar;作者：王世俊&rpar;</a>
					<div>
						ip地址 许多人认为一台机器只能有一个IP地址,实质上不是这样的.在一台主机上设置多个IP地址,这样可以为每一个部门,设置一个站点.而不用单独配置服务器了.使用多个IP地址就可以控制多个WEB站点.本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXB9yyb.html" rel="bookmark" class="title">Enterprise Library Policy Injection Application Block之一</a>
					<div>
						在过去的半年里,定期或者不定期地写点东西已经成为了我的一种习惯.可是最近两个月来一直忙于工作的事情一直足够的时间留给自己,虽然给自己列了很长一串写作计划,可是心有余而力不足.这一段工作主要是帮助公司开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNmDAb.html" rel="bookmark" class="title">Windows编程之获取系统CPU个数</a>
					<div>
						随着多核CPU的普及,程序中有必要考虑利用多核的优势来提高性能. 比如当创建线程池或者进程池 的时候,可以根据系统CPU的个数来设定线程池/进程池的大小. 以下代码示例如何获取CPU的个数. type ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPDYwz.html" rel="bookmark" class="title">部署Java Web服务</a>
					<div>
						引言 在过去数年里,随着万维网联盟(World Wide Web Consortium,W3C)更新了核心规范,并引入了弥补 Web服务最初缺陷的新规范,Web服务发生了大量的变化.W3C 的Web  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBQLyb.html" rel="bookmark" class="title">jsp防止跨域提交数据的具体实现</a>
					<div>
						 这篇文章主要介绍了jsp防止跨域提交数据的具体实现,需要的朋友可以参考下  代码如下: //ArgsIsValidFilter .java过滤器代码清单:  package com.hety.uit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ylWBz.html" rel="bookmark" class="title">Flash表单制作实例集锦（1）--简单表单制作</a>
					<div>
						自从Macromedia公司发布flash以来,flash以其强大的功能很快就在网络上风靡起来,闪客一族也成为目前网络上最潮流的一族.flash不仅在动画制作上有很强的实力,在交互功能上也毫不逊色,网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjVdEp.html" rel="bookmark" class="title">Word 2003快速输入技巧 加速十倍！</a>
					<div>
						经常进行文字处理的朋友一定不会拒绝word2003给我们带来的更高更快更强的体验,让我们来看看,还有哪些实用的tips没有引起你的注意. 有人说,&quot;输&quot;能生巧嘛,但一些技巧,只有知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEl1OPz.html" rel="bookmark" class="title">javascript实现通过表格绘制颜色填充矩形的方法</a>
					<div>
						这篇文章主要介绍了javascript实现通过表格绘制颜色填充矩形的方法,涉及javascript操作表格与样式的相关技巧,需要的朋友可以参考下 本文实例讲述了javascript实现通过表格绘制颜色 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8j45Vb.html" rel="bookmark" class="title">Foxmail如何设置邮件过滤</a>
					<div>
						  针对电子邮件应用范围的日趋扩大,用户收发的邮件也是越来越多,为方便用户的日常管理及阅读,Foxmail提供了邮件过滤功能.它可按照邮件的收件人.发件人.主题.邮件正文等条件对邮件进行过滤,并可对符 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLagZRz.html" rel="bookmark" class="title">QQ浏览器了解跨屏穿越说明</a>
					<div>
						QQ浏览器7推出新功能&quot;跨屏穿越&quot;,可以帮大家将网页发送到任何其他设备:手机.iPad或另外一台电脑. 1.首先,安装最新的浏览器(Android.iPhone.iPad.PC)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z423dLM.html" rel="bookmark" class="title">如何在Win8系统中修改hosts</a>
					<div>
						  Windows8发布了,相信不少人已经拿来尝鲜了.笔者也把家中的电脑也安装了Windows8,从家中网络访问公司后台的时后,需要修改hosts,但发现无法保存.可能一些尝鲜的用户在需要在家完成「残 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBjwNz.html" rel="bookmark" class="title">Sql2000和Sql2005共存安装详细过程</a>
					<div>
						Sql2005版本:Sql2005开发版,两张CD的那种 操作系统:Window 2003 Server 假设您的电脑已安装了Sql2000,下面开始安装Sql2005. 一.运行光盘1 跳过 准备  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwoxDb.html" rel="bookmark" class="title">MindMapper导出为World文件教程</a>
					<div>
						  当我们完成导图后,点击[文件]中的导入/导出按钮. 在导出板块中有许多导出格式,点击目标&quot;导出并保存为World文件&quot;. 在跳出的导出窗口中,选择导出的模板文件.保存位置. 在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN16vob.html" rel="bookmark" class="title">用虚拟光驱装WIn7&bsol;Win8&period;1双系统</a>
					<div>
						  虚拟光驱是一种模拟(CD/DVD-ROM)工作的工具软件,可以生成和你电脑上所安装的光驱功能一模一样的光盘镜像,其工作原理是先虚拟出一部或多部虚拟光驱后,将光盘上的应用软件.镜像存放在硬盘上,并生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmo65z.html" rel="bookmark" class="title">Python模拟新浪微博登录</a>
					<div>
						看到一篇Python模拟新浪微博登录的文章,想熟悉一下其中实现方式,并且顺便掌握python相关知识点. 代码 下面的代码是来自上面这篇文章,并稍作修改添加了一些注释. # -*- coding: u ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6vvqM.html" rel="bookmark" class="title">js中判断是否为空</a>
					<div>
						有三种方法: &lt;script type=&quot;text/javascript&quot;&gt;        var x;        if(null == x){}        i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRWoXz.html" rel="bookmark" class="title">hadoop jni 如何实现opengl绘图</a>
					<div>
						问题描述 hadoop jni 如何实现opengl绘图 我做一个尝试,hadoop+jni可以实现hadoop调用C++代码.将C++做好JNI接口函数,代码编译成动态链接库.so,hadoop代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQVJ5z.html" rel="bookmark" class="title">java多线程问题，请教大神，多谢</a>
					<div>
						问题描述 java多线程问题,请教大神,多谢 class Res{ String name; String sex;}class Input implements Runnable{ private  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJA4j8p.html" rel="bookmark" class="title">用Juint写界面的测试</a>
					<div>
						问题描述 我目前只会写assertEquals的测试:现有一个窗口,想写测试,不止如何下手,请高手指点:packagebook;importjava.awt.event.*;importjava.sq ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3r0E0z.html" rel="bookmark" class="title">springmvc &commat;requestbody 接收json字符串的原理</a>
					<div>
						问题描述 springmvc @requestbody 接收json字符串的原理 问题如上.贴出代码 @RequestMapping(value = &quot;/sk/api/users&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7q0Kz.html" rel="bookmark" class="title">大并发解决方案----如何攻破</a>
					<div>
						问题描述 大并发解决方案----如何攻破 假如我有100件产品,有10万个人同时触发购买时间,但产品只有100件,结果应该怎么处理不出错 解决方案 好像单立模式可以,但我不会用,有大手帮忙给个思路吗  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNgqkM.html" rel="bookmark" class="title">c&num;网络编程-cookiecontainer问题，折腾一天了求帮助谢谢</a>
					<div>
						问题描述 cookiecontainer问题,折腾一天了求帮助谢谢 我把httpwebresponse.cokies添加add()到cookiecontaoner里,然后遍历出来,里面的cookie不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqQJJp.html" rel="bookmark" class="title">javascript添加购物车功能，为什么在IE下是正常的，在chrome和火狐下就实现不了</a>
					<div>
						问题描述 javascript添加购物车功能,为什么在IE下是正常的,在chrome和火狐下就实现不了 解决方案 你用的框架网页?top main怎么定义的,ff chrome的框架获取值不能跨域.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0WmAp.html" rel="bookmark" class="title">关于Java数组声明、创建、初始化的相关介绍&lowbar;java</a>
					<div>
						本文讲述了Java数组的几个相关的方面,讲述了对Java数组的声明.创建和初始化,并给出其对应的代码.一维数组的声明方式:type var[]; 或type[] var; 声明数组时不能指定其长度(数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkBVvz.html" rel="bookmark" class="title">手机qq怎么设置收花可见范围</a>
					<div>
						我们在手机中打开手机QQ,然后在进入到界面中我们点击[动态]然后我们在进入到动态点击[附近]效果 然后在打开进入到的附近界面中我们点击[更多]选项打开进入,效果如下所示 然后在打开更多界面中我们点击[ ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
